org.keycloak.dom.saml.v2.protocol

## Class IDPListType

- java.lang.Object
- - org.keycloak.dom.saml.v2.protocol.IDPListType

-     public class IDPListType
      extends Object

  Java class for IDPListType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="IDPListType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}IDPEntry" maxOccurs="unbounded"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}GetComplete" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected URI` | `getComplete`
    `protected List<IDPEntryType>` | `idpEntry`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IDPListType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addIDPEntry(IDPEntryType entry)` Add an idp entry
    `URI` | `getGetComplete()` Gets the value of the getComplete property.
    `List<IDPEntryType>` | `getIDPEntry()` Gets the value of the idpEntry property.
    `void` | `removeIDPEntry(IDPEntryType entry)` Remove an idp entry
    `void` | `setGetComplete(URI value)` Sets the value of the getComplete property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### idpEntry

          protected List<IDPEntryType> idpEntry

    - #### getComplete

          protected URI getComplete

  - ### Constructor Detail

    - #### IDPListType

          public IDPListType()

  - ### Method Detail

    - #### addIDPEntry

          public void addIDPEntry(IDPEntryType entry)

      Add an idp entry
      Parameters:
        `entry` -

    - #### removeIDPEntry

          public void removeIDPEntry(IDPEntryType entry)

      Remove an idp entry
      Parameters:
        `entry` -

    - #### getIDPEntry

          public List<IDPEntryType> getIDPEntry()

      Gets the value of the idpEntry property.

    - #### getGetComplete

          public URI getGetComplete()

      Gets the value of the getComplete property.
      Returns:
        possible object is `String`

    - #### setGetComplete

          public void setGetComplete(URI value)

      Sets the value of the getComplete property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2021 JBoss by Red Hat. All rights reserved.